View Issue Details

IDProjectCategoryView StatusLast Update
15730Bug reportsSurvey editingpublic2020-01-28 17:38
Reportertpartner Assigned Tomarkusfluer 
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC14 
Target Version4.0.x 
Summary15730: The "Script" input element does not change with language
Description

The "Script" input element in the question-edit interface does not change when switching between languages.

It also does not change when switching between HTML/JavaScript/CSS in the right-hand drop-down.

In my opinion, it should be possible to have different scripts, CSS or HTML for various languages.

(although, I don't see the need for an HTML insertion tool)

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-VersionN/A
Server OS (if known)N/A
Webserver software & version (if known)N/A
PHP VersionN/A

Relationships

related to 15728 closedmarkusfluer Additional languages not displayed when using Sourcecode editor 

Activities

tpartner

tpartner

2020-01-16 18:54

developer  

capture_5.png (28,832 bytes)   
capture_5.png (28,832 bytes)   
DenisChenu

DenisChenu

2020-01-16 19:08

developer   ~55336

Script are in lime_question_l10ns : then seems langage related. Issue in GUI ?

(although, I don't see the need for an HTML insertion tool)

My opinion : since it was added as script : CSS must be hidden too.

DenisChenu

DenisChenu

2020-01-16 19:10

developer   ~55337

Put related to https://bugs.limesurvey.org/view.php?id=15728
But in my opinion it's duplicate : fix one issue, you fix both

tpartner

tpartner

2020-01-16 19:40

developer   ~55339

My opinion : since it was added as script : CSS must be hidden too.

Yeah, maybe. :)

markusfluer

markusfluer

2020-01-22 13:29

administrator   ~55430

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29429

lime_release_bot

lime_release_bot

2020-01-28 17:38

administrator   ~55533

Fixed in Release 4.1.0+200128

Related Changesets

LimeSurvey: master c0e4e2df

2020-01-20 16:06:39

markusfluer

Details Diff
Fixed issue 15728: Additional languages not displayed when using Sourcecode editor
Fixed issue 15730: The "Script" input element does not change with language
Affected Issues
15728, 15730
mod - assets/packages/questioneditor/build.min/css/main.css Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/src/components/mainEditor.vue Diff File
mod - assets/packages/questioneditor/src/helperComponents/AceEditor.vue Diff File
mod - assets/packages/questioneditor/src/storage/mutations.js Diff File

Issue History

Date Modified Username Field Change
2020-01-16 18:54 tpartner New Issue
2020-01-16 18:54 tpartner Status new => assigned
2020-01-16 18:54 tpartner Assigned To => cdorin
2020-01-16 18:54 tpartner File Added: capture_5.png
2020-01-16 18:55 cdorin Assigned To cdorin => tpartner
2020-01-16 18:55 cdorin Assigned To tpartner => cdorin
2020-01-16 18:55 cdorin Priority none => normal
2020-01-16 19:08 DenisChenu Note Added: 55336
2020-01-16 19:10 DenisChenu Relationship added related to 15728
2020-01-16 19:10 DenisChenu Note Added: 55337
2020-01-16 19:40 tpartner Note Added: 55339
2020-01-22 13:29 markusfluer Changeset attached => LimeSurvey master c0e4e2df
2020-01-22 13:29 markusfluer Note Added: 55430
2020-01-22 13:29 markusfluer Assigned To cdorin => markusfluer
2020-01-22 13:29 markusfluer Resolution open => fixed
2020-01-28 16:13 markusfluer Status assigned => resolved
2020-01-28 17:38 lime_release_bot Note Added: 55533
2020-01-28 17:38 lime_release_bot Status resolved => closed